List application tags
curl --request GET \
--url https://staging-idaas.yourflexpay.com/api/v1/tags \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging-idaas.yourflexpay.com/api/v1/tags"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging-idaas.yourflexpay.com/api/v1/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"errorCode": "<string>",
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tagString": "<string>",
"qualifiedAddress": "<string>",
"status": "ACTIVE",
"canonicalOwner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applicationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applicationName": "<string>",
"externalId": "<string>",
"displayName": "<string>",
"email": "<string>",
"imageUrl": "<string>",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z"
},
"createdByAppId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdByAppName": "<string>",
"activeClaims": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tagId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tagString": "<string>",
"subjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subjectExternalId": "<string>",
"requestedByAppId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requestedByAppName": "<string>",
"state": "PENDING",
"requestedAt": "2023-11-07T05:31:56Z",
"approvedAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z",
"consentToken": "<string>",
"approvalUrl": "<string>",
"tokenExpiresAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z"
}
],
"errors": [
"<string>"
],
"timestamp": "2023-11-07T05:31:56Z"
}Tags
List application tags
Returns all tags created by the authenticated application.
GET
/
v1
/
tags
List application tags
⌘I